
//
// opengl.h
//


typedef struct
{
	GLfloat	x,y,z;
}OGLPoint3D;

typedef struct
{
	GLfloat	x,y;
}OGLPoint2D;

typedef struct
{
	GLfloat	x,y,z;
}OGLVector3D;

typedef struct
{
	GLfloat	x,y;
}OGLVector2D;

typedef struct
{
	GLfloat	u,v;
}OGLTextureCoord;

typedef struct
{
	GLfloat	r,g,b;
}OGLColorRGB;

typedef struct
{
	GLfloat	r,g,b,a;
}OGLColorRGBA;




void OGL_CreateDrawContext(void);
void OGL_DrawScene(void);
void OGL_InitFont(void);
void OGL_DrawString(Str255 s, GLint x, GLint y);
void OGL_DrawInt(int f, GLint x, GLint y);

void OGL_PushState(void);
void OGL_PopState(void);
void OGL_EnableLighting(void);
void OGL_DisableLighting(void);
void OGL_EnableDepthTest(void);
void OGL_DisableDepthTest(void);
void OGL_EnableNormalize(void);
void OGL_DisableNormalize(void);
void OGL_EnableBlend(void);
void OGL_DisableBlend(void);
void OGL_EnableTexture2D(void);
void OGL_DisableTexture2D(void);
void OGL_ActiveTextureUnit(u_long texUnit);
void OGL_SetColor4fv(OGLColorRGBA *color);
void OGL_SetColor4f(float r, float g, float b, float a);
void OGL_EnableCullFace(void);
void OGL_DisableCullFace(void);
void OGL_EnableFog(void);
void OGL_DisableFog(void);
void OGL_BlendFunc(GLenum sfactor, GLenum dfactor);
void OGL_DepthMask(Boolean useZbuffer);







